Subject: Re: [bug#72406] [PATCH emacs-team WIP v4 00/24] Build variants for other Emacsen

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 03 Sep 2024 18:52:20 +0200

Am Dienstag, dem 03.09.2024 um 17:51 +0200 schrieb Simon Tournier:
> Hi Liliana,
> 
> On Sun, 11 Aug 2024 at 14:59, Liliana Marie Prikler
> <[email-masked]> wrote:
> > Same as v3, but I reset the commit dates so that hopefully this
> > time all
> > mail arrives…
> > 
> > Liliana Marie Prikler (24):
> >   build-system: emacs: Define package-with-explicit-emacs.
> >   build-system: emacs: Make emacs the default variant.
> >   build-system: emacs: Define common variants.
> >   build-system: emacs: Handle variants in elpa naming.
> >   etc: Provide snippet for defining emacs variants.
> 
> Well, aside minor comments, I agree with these changes but I am not
> convinced but the rest.
> 
> A naive question: what is the cost to have emacs-minimal being able
> to native-compile?
Well, the cost is small (for packages that aren't broken like emacs-
yaml), but the benefit is also nil.  emacs-minimal, emacs, emacs-pgtk,
etc. all have different ABI hashes, so packages built by one won't be
natively loaded by the other.

Cheers